using System.Collections;
using System.Collections.Generic;

namespace RedHotRoast
{
    public class LuckyPackCtrl : BaseCtrl
    {
        public static LuckyPackCtrl Instance { get; private set; }

        private LuckyPackModel model;

        #region 生命周期
        protected override void OnInit()
        {
            Instance = this;
            //model = ModuleManager.Instance..GetModel(ModelConst.LuckyPackModel) as LuckyPackModel;
        }

        protected override void OnDispose()
        {
            Instance = null;
        }
        #endregion

        #region 消息
        protected override void AddListener()
        {

        }
        protected override void RemoveListener()
        {

        }

        protected override void AddServerListener()
        {

        }
        protected override void RemoveServerListener()
        {

        }
        #endregion
    }
}